View Issue Details

IDProjectCategoryView StatusLast Update
0001926SymmetricDSImprovementpublic2014-08-27 08:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.6 
Target Version3.6.6Fixed in Version3.6.6 
Summary0001926: Add dataloader.fit.to.column that when set will truncate data to fit in the target column
DescriptionAdd dataloader.fit.to.column that when set will truncate data to fit in the target column
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master a57adfcd

2014-08-21 14:16:44

chenson

Details Diff
0001926: Add dataloader.fit.to.column that when set will truncate data to fit in the target column
0001926
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/DefaultDataLoaderFactory.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDatabasePlatform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterSettings.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/StructureDataWriter.java Diff File

SymmetricDS: master bf13ae51

2014-08-21 21:11:28

chenson

Details Diff
0001926: Add dataloader.fit.to.column that when set will truncate data to fit in the target column
0001926
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2014-08-21 14:16 chenson New Issue
2014-08-21 14:16 chenson Status new => assigned
2014-08-21 14:16 chenson Assigned To => chenson
2014-08-21 14:29 chenson Status assigned => resolved
2014-08-21 14:29 chenson Fixed in Version => 3.6.6
2014-08-21 14:29 chenson Resolution open => fixed
2014-08-21 15:00 chenson Changeset attached => SymmetricDS trunk r8626
2014-08-21 22:00 chenson Changeset attached => SymmetricDS trunk r8629
2014-08-27 08:53 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master bf13ae51
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master a57adfcd